Auto Multiple Choice - Bug # 480: 1.3.00 1.4.0 upgrade issues

Status: Closed Priority: Normal

Author: Alexis Bienvenle Category:

Created: 05/09/2017 Assignee:

Updated: 02/08/2018 Due date:

Description: See message#5370: issues with association and export when upgrading AMC with a running project.
History

05/11/2017 09:47 am - Alexis Bienvenie
- Status changed from New to Feedback

@S. McKay: | run some (too) simple tests but could not reproduce the problem. Can you tell me a little more about what you did? Versions used,
actions performed? Or can you send me an archive with your project directory?

06/01/2017 06:07 pm - S. McKay

Sorry,

We may be dealing with a communication problem (which I'm sure is my fault). | upgraded from 1.2.1 to 1.3.0 (specifically 1.3.0+hg2016-11-09) and
that upgrade caused issues with the current project.

Is the development version now 1.4? That might be the misunderstanding. | upgraded using the page
http://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Building_ AMC_for_ MAC_OSX

which specifically states that it is installing the development version.

So, before | try to run a test case (I cannot share the original project with you, as it has student names and grades in it), are we talking about different

versions?

02/08/2018 09:45 am - Alexis Bienveniie
(maybe this is too late, sorry)
Any testcase with any version transition is interesting: just tell us the versions involved as much precisely as possible (the revision number in the

mercurial repository is a must).

02/08/2018 05:16 pm - S. McKay

Alexis BienvenUe wrote:

> (maybe this is too late, sorry)

> Any testcase with any version transition is interesting: just tell us the versions involved as much precisely as possible (the revision number in the
mercurial repository is a must).

Yes, sorry. | don't have any machines running 1.2.1 anymore. | think we can move on :-)

02/08/2018 05:26 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

OK, thanks.
